body {
    margin: 0;
    padding: 3em;
    background-image: url(images/background.png);
    background-size: auto;
}

body::-webkit-scrollbar {
    width: 1em;
}

body::-webkit-scrollbar-track {
    background-color: rgba(26, 26, 26, 0.9);
    border-radius: 3em;
    margin-block: 0.1em;
}

body::-webkit-scrollbar-thumb,
.popup-story::-webkit-scrollbar-thumb {
    background-color: #ff4faa;
    border-radius: 3em;
}

.heading {
    margin-top: 0.5em;
    padding-left: 2em;
    padding-top: 0;
}

.intro {
    width: 40%;
    font-family: 'Ubuntu', sans-serif;
    color: #FDA5DA;
    text-shadow: 3px 3px 7px black;
    margin-top: 0;
    margin-bottom: 1.5em;
    padding-top: 0;
}

#theH1 {
    font-weight: 700;
    font-size: 4em;
    margin-left: 1em;
}

.opener {
    font-size: 1.5em;
    margin-top: 1em;
    margin-bottom: 0;
}

.music-btn-box {
    display: flex;
    flex-direction: row-reverse;
    margin-right: 5em;
}

.musicBtn {
    background-color: transparent;
    color: #FD68B4;
    font-family: 'Permanent Marker', cursive;
    border: none;
    font-size: 1.5em;
    margin-right: 1em;
    margin-top: 1em;
}

.musicBtn:hover {
    margin-bottom: -1em;
    transform: translateY(-0.65em);
    text-shadow: 0px 2px 3.5px rgba(253, 165, 218, 75%);
}

div .picture-frame {
    position: absolute;
    background-color: #ff4faa;
    display: flex;
    justify-content: space-around;
    margin-left: 33em;
    margin-top: -6em;
    width: 35rem;
    height: 17em;
}

.box-style {
    box-shadow: 0.5em 0.5em 1.5em 0.5em black;
    border-radius: 1.5em;
    background-color: #FD68B4;
    color: #FCF7F8;
}

.me-picture {
    width: 13em;
    margin: 1em;
    border-radius: 0.5em;
    box-shadow: 0 0 0.3em black;

}

.about-me {
    font-family: 'Nunito', sans-serif;
    font-weight: 700;
    font-style: italic;
    font-size: 0.9rem;
    margin-top: 5em;
    margin: 1em;
    color: #FCF7F8;
    overflow: auto;
}

.music-container {
    height: auto;
    padding-top: 1em;
    display: flex;
    justify-content: center;
}

.music-player {
    border-radius: 1em;
    width: 30%;
    height: 10em;
    border: none;
}

#picCarousel {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 29em;
    width: 21em;
    margin-top: 5em;
    margin-left: 5em;
    margin-bottom: 4em;
}

.carousel-image,
.carousel-image img {
    width: 19em;
    height: 26em;
    border-radius: 1em;
    box-shadow: 0 0 0.3em black;
    position: absolute;
}

.carousel,
.carousel .pic-visible {
    display: block;

}

.carousel-image,
.pic-invisible {
    display: none;
}

.button-box {
    display: flex;
    justify-content: space-between;
    width: 21em;
}

.arrow-btn {
    position: relative;
    background-color: transparent;
    border: none;
    color: rgba(244, 235, 232, 50%);
    font-size: 1.75em;
    font-family: 'Permanent Marker', cursive;
}

.subsection {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-left: 4em;
}

.twitch-box {
    border-radius: 10px;
}

.twitch-box:hover {
    animation: shake 0.5s;
    animation-iteration-count: infinite;
}

.glow-box {
    margin-top: 3em;
    border-radius: 10px;
    padding: 5px;
    background-color: black;
}

.glow-box:hover {
    animation: glow;
    animation-duration: 3s;
    animation-fill-mode: forwards;
}

.first-subsection {
    display: flex;
    flex-direction: row;
    height: 15em;
    padding-left: 1em;
    margin-top: 1em;
}

.facts {
    width: 10em;
    height: 10em;
    margin-left: 25em;
    margin-right: 2em;
    margin-top: 3em;
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 0.5em;
    font-family: 'Nunito', sans-serif;
    font-weight: 400;
    font-style: italic;
    text-align: center;
    position: absolute;
    background-color: #FD76BB;
    color: #1a1a1a;
    font-weight: bold;
}


div .box1 {
    margin-left: 26em;
}

.first-subsection:hover .box1 {
    animation: slideFarLeft;
    animation-duration: 2s;
    animation-fill-mode: forwards;
}

div .box2 {
    margin-left: 27em;
}

.first-subsection:hover .box2 {
    animation: slideLeft;
    animation-duration: 2s;
    animation-fill-mode: forwards;
}

div .box3 {
    margin-left: 28em;
}

.first-subsection:hover .box3 {
    animation: slideRight;
    animation-duration: 2s;
    animation-fill-mode: forwards;
}

div .box4 {
    margin-left: 29em;
}

.first-subsection:hover .box4 {
    animation: slideFarRight;
    animation-duration: 2s;
    animation-fill-mode: forwards;
}


.logo-img {
    height: 5em;
    margin-right: 1em;
    border-radius: 1em;
}

.second-subsection {
    display: flex;
    flex-wrap: nowrap;
    margin-top: 2em;
    margin-bottom: 2em;
    align-items: center;
}

.resourcesBC {
    background-color: #ff4faa;
    font-family: 'Ubuntu', sans-serif;
    font-weight: 500;
    width: 35em;
    height: 5em;
    margin-top: 1em;
    margin-left: 10em;
    display: flex;
    flex-direction: row;
    flex-wrap: no-wrap;
    justify-content: flex-start;
    padding: 1em;
}

.resourcesBC:hover {
    box-shadow: 5px 5px 10px #FDADDD;
    transform: translateY(-0.3em);
}

.resource-information {
    font-family: 'Ubuntu', sans-serif;
    margin-top: -0.75em;
    margin-bottom: 1em;
}

.resource-link {
    margin: 0;
    color: #FCF7F8;
    text-shadow: 0 0 1px #1a1a1a;
    font-weight: 700;
    font-size: 1.5em;
    text-decoration: none;
}

.resource-information p {
    font-size: 0.6em;
}

.resource-fundraiser {
    color: #FDADDD;
}


.my-story {
    width: 13em;
    height: 13em;
    border-radius: 50%;
    padding: 1em;
    text-align: center;
    display: flex;
    align-items: center;
    font-family: 'Ubuntu', sans-serif;
    background-color: #ff4faa;
    margin: 2.5em;
    position: relative;
}


.my-story-img {
    width: 13em;
    height: 13em;
    border-radius: 50%;
    box-shadow: 0 0 2px #1a1a1a;
    filter: grayscale(100%);
    border: 0.5px solid #1a1a1a;
}

.img-overlay {
    width: 13em;
    height: 13em;
    border-radius: 50%;
    position: absolute;
    top: 15px;
    left: 15px;
    background-color: rgba(255, 66, 164, 0.25);
}

.my-story p {
    font-size: 2em;
    font-weight: bold;
    color: #FDADDD;
    text-shadow: 0 0 10px #1a1a1a;
    cursor: pointer;
}

.my-story p:hover {
    text-shadow: 0 0 5px #FCF7F8;
}

/* my story popup */

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.75);
}

.popup-story {
    display: none;
    position: fixed;
    top: 0;
    width: 85%;
    height: 85%;
    margin: 2em;
    background-color: #FDADDD;
    color: #1a1a1a;
    overflow: auto;
    border-radius: 3em;
}

.popup-story::-webkit-scrollbar {
    width: 0.5em;
}

.popup-story::-webkit-scrollbar-track {
    background-color: rgba(26, 26, 26, 0.75);
    margin-block: 1.5em;
    border-radius: 3em;
}

div .story-text {
    margin: 3em;
    font-family: 'Ubuntu', sans-serif;
    font-weight: bold;
    color: #1a1a1a;
    font-size: 16px;
    line-height: 1.5;
}

.fourth-subsection {
    display: flex;
    justify-content: left;
    align-items: center;
}

.symptom-list {
    margin-left: 12em;
    position: relative;
}


.warnings {
    height: 1.5em;
    font-family: 'Ubuntu', sans-serif;
    padding: 0.3em 0.6em;
    background-color: #1a1a1a;
    font-size: 5em;
    font-weight: 700;
    color: #FD68B4;
    text-shadow: 7px 7px 7px black;
    border: 5px solid #FD68B4;
    box-shadow: 10px 10px 10px black;
    animation-name: blinking;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    transition-timing-function: ease-in-out;
}

.warnings:hover {
    background-color: #FD68B4;
    color: #1a1a1a;
    cursor: pointer;
}

.ul-symptoms {
    position: absolute;
    bottom: 240px;
    left: 40px;
    list-style: disc;
    cursor: pointer;
    height: 1em;
}


.list-item {
    font-size: 1em;
    font-family: 'Ubuntu', sans-serif;
    font-weight: 700;
    color: #1a1a1a;
    animation-name: fadeIn;
    animation-fill-mode: forwards;
    animation-duration: 1s;
}

div .display {
    color: transparent;
    background-color: #FD68B4;
    animation: none;
    text-shadow: none;
}

.fifth-subsection {
    margin-left: 7em;
    margin-top: -2em;
    margin-bottom: 1em;
}

.wisdom {
    font-family: 'Ubuntu', sans-serif;
    font-size: 3em;
    margin: 1em auto;
    font-weight: bold;
    color: #FDADDD;
    text-align: center;
    text-shadow: 0 0 10px #1a1a1a;
}

.wordsof:hover {
    text-shadow: 0 0 5px #FCF7F8;
}


/* animation keyframes */

@keyframes glow {
    0% {
        box-shadow: 0 0 20px 0px black;
    }

    5% {
        box-shadow: 0 0 30px 5px black;
    }

    10% {
        box-shadow: 0 0 40px 10px black;
    }

    15% {
        box-shadow: 0 0 50px 15px black;
    }

    20% {
        box-shadow: 0 0 50px 20px black;
    }

    25% {
        box-shadow: 0 0 50px 25px black;
    }

    30% {
        box-shadow: 0 0 50px 30px black;
    }

    35% {
        box-shadow: 0 0 50px 35px black;
    }

    40% {
        box-shadow: 0 0 50px 40px black;
    }

    45% {
        box-shadow: 0 0 50px 45px black;
    }

    50% {
        box-shadow: 0 0 50px 50px black;
    }

    55% {
        box-shadow: 0 0 50px 55px black;
    }

    60% {
        box-shadow: 0 0 50px 60px black;
    }

    65% {
        box-shadow: 0 0 50px 65px black;
    }

    70% {
        box-shadow: 0 0 50px 70px black;
    }

    75% {
        box-shadow: 0 0 50px 75px black;
    }

    80% {
        box-shadow: 0 0 50px 80px black;
    }

    85% {
        box-shadow: 0 0 50px 85px black;
    }

    90% {
        box-shadow: 0 0 50px 90px black;
    }

    95% {
        box-shadow: 0 0 50px 95px black;
    }

    100% {
        box-shadow: 0 0 50px 100px black;
    }
}

@keyframes shake {
    0% {
        transform: translate(1px, 1px) rotate(0deg);
    }

    10% {
        transform: translate(-1px, -2px) rotate(-1deg);
    }

    20% {
        transform: translate(-3px, 0px) rotate(1deg);
    }

    30% {
        transform: translate(3px, 2px) rotate(0deg);
    }

    40% {
        transform: translate(1px, -1px) rotate(1deg);
    }

    50% {
        transform: translate(-1px, 2px) rotate(-1deg);
    }

    60% {
        transform: translate(-3px, 1px) rotate(0deg);
    }

    70% {
        transform: translate(3px, 1px) rotate(-1deg);
    }

    80% {
        transform: translate(-1px, -1px) rotate(1deg);
    }

    90% {
        transform: translate(1px, 2px) rotate(0deg);
    }

    100% {
        transform: translate(1px, -2px) rotate(-1deg);
    }
}

@keyframes slideFarLeft {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-18em);
    }
}

@keyframes slideLeft {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-6em);
    }
}

@keyframes slideRight {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(6em);
    }
}

@keyframes slideFarRight {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(18em);
    }
}

@keyframes blinking {
    0% {
        text-shadow: 5px 5px 7px #FCF7F8;
    }

    50% {
        text-shadow: 7px 7px 7px black;
    }

    100% {
        text-shadow: 5px 5px 7px #FCF7F8;
    }
}

@keyframes fadeIn {
    0% {
        color: transparent;
    }

    100% {
        color: #1a1a1a;
    }
}